[android-components](../../index.md) / [mozilla.components.concept.engine](../index.md) / [Engine](index.md) / [name](./name.md)

# name

`abstract fun name(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/Engine.kt#L98)

Returns the name of this engine. The returned string might be used
in filenames and must therefore only contain valid filename
characters.

**Return**
the engine name as specified by concrete implementations.

